#
# spec file for package opengk (Version 1.0pre8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp openh323 openh323-devel openssl openssl-devel pwlib pwlib-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openh323 openh323-devel openssl openssl-devel pam pam-devel patch perl ps pwlib pwlib-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         opengk
URL:		http://www.willamowius.de/openh323gk.html
Copyright:    GNU Public License (GPL)
BuildRoot:	%{_tmppath}/%{name}-root
Autoreqprov:  on
Group:        Networking/Daemons
Summary:      OpenH323 Gatekeeper
Version:      1.0pre8
Release:      49
Source0:      gk10pre8.tgz
Source1:	rc.opengk

%description
The gatekeeper controls H.323 compatible clients (like ohphone) and
can be used to set up a complete internet telephony system.

Authors:
--------
    Jan Willamowius <jan@willamowius.de>

SuSE series: n

%prep
%setup -n openh323gk

%build
export PWLIBDIR=/usr/lib/pwlib
export OPENH323DIR=/usr/lib/openh323
make opt

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
if [ `uname -m | cut -b 3-` == "86" ]; then
  export M="x86"
else
if [ `uname -m | cut -b -3` == "ppc" ]; then
  export M="ppc"
else
if [ `uname -m | cut -b -7` == "sparc64" ]; then
  export M="sparc64"
else
if [ `uname -m | cut -b -5` == "sparc" ]; then
  export M="sparc"
else
if [ `uname -m | cut -b -5` == "alpha" ]; then
  export M="alpha"
else
if [ `uname -m | cut -b -4` == "ia64" ]; then
  export M="ia64"
else
if [ `uname -m | cut -b -5` == "s390x" ]; then
  export M="s390x"
else
if [ `uname -m | cut -b -4` == "s390" ]; then
  export M="s390"
else
  export M=`uname -m`
fi
fi
fi
fi
fi
fi
fi
fi
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -c obj_linux_"$M"_r/gk $RPM_BUILD_ROOT/usr/sbin
install -c -m 600 gatekeeper.ini.complete $RPM_BUILD_ROOT/etc/gatekeeper.ini
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/opengk
ln -s ../../etc/init.d/opengk $RPM_BUILD_ROOT/usr/sbin/rcopengk
# Create symbolic run level links during installation

%post
sbin/insserv etc/init.d/opengk
# Rearrange run level symlinks after removing the init script

%postun
sbin/insserv etc/init.d/

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%doc readme.txt
%doc gkstatus.txt
%doc signalling.txt
%doc test-status.txt
%doc tutorial.txt
%doc gk_faq.html
%doc GkStatusMsgFmt.html
%config /etc/gatekeeper.ini
%config /etc/init.d/opengk
/usr/sbin/gk
/usr/sbin/rcopengk

%changelog -n opengk
* Thu Aug 16 2001 - kkaempf@suse.de
- implement RPM_BUILD_ROOT in spec file.
* Thu Aug 09 2001 - kkaempf@suse.de
- update to 0.18
* Tue May 29 2001 - kkaempf@suse.de
- update to 0.17
  search for gatekeeper.ini in /etc
  lsb compatible rcopengk script
* Wed Jan 03 2001 - kkaempf@suse.de
- install directly to /usr/sbin
* Tue Nov 21 2000 - kkaempf@suse.de
- fix filelist, more %%doc entries
* Mon Nov 20 2000 - kkaempf@suse.de
- fix neededforbuild
  provide wrapper script
* Mon Nov 20 2000 - kkaempf@suse.de
- use %%doc in spec file
* Fri Jul 14 2000 - kkaempf@suse.de
- adapted to current openh323 library interface
* Thu Jul 13 2000 - kkaempf@suse.de
- fix Summary
* Wed Jul 12 2000 - kkaempf@suse.de
- fix sparc machtype, add ia64
* Mon Jul 03 2000 - kkaempf@suse.de
- created package
